package com.mortals.xhx.module.company.model;

import java.util.List;
import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.company.model.CompanyEntity;
/**
* 公司查询对象
*
* @author zxfei
* @date 2023-09-18
*/
public class CompanyQuery extends CompanyEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 公司名称 */
    private List<String> companyNameList;

    /** 公司名称排除列表 */
    private List <String> companyNameNotList;
    /** 公司编码 */
    private List<String> companyCodeList;

    /** 公司编码排除列表 */
    private List <String> companyCodeNotList;
    /** 注册号 */
    private List<String> registrationNumberList;

    /** 注册号排除列表 */
    private List <String> registrationNumberNotList;
    /** 法定代表人 */
    private List<String> legalRepresentativeList;

    /** 法定代表人排除列表 */
    private List <String> legalRepresentativeNotList;
    /** 注册资本 */
    private List<String> registeredCapitalList;

    /** 注册资本排除列表 */
    private List <String> registeredCapitalNotList;
    /** 公司类型 */
    private List<String> companyTypeList;

    /** 公司类型排除列表 */
    private List <String> companyTypeNotList;
    /** 经营范围 */
    private List<String> businessScopeList;

    /** 经营范围排除列表 */
    private List <String> businessScopeNotList;
    /** 经营地址 */
    private List<String> businessAdressList;

    /** 经营地址排除列表 */
    private List <String> businessAdressNotList;
    /** 所在地 */
    private List<String> locationList;

    /** 所在地排除列表 */
    private List <String> locationNotList;
    /** 所属区域编码 */
    private List<String> areaCodeList;

    /** 所属区域编码排除列表 */
    private List <String> areaCodeNotList;
    /** 所属区域名称 */
    private List<String> areaNameList;

    /** 所属区域名称排除列表 */
    private List <String> areaNameNotList;
    /** 联系电话 */
    private List<String> contactPhoneList;

    /** 联系电话排除列表 */
    private List <String> contactPhoneNotList;
    /** 电子邮件地址 */
    private List<String> emailList;

    /** 电子邮件地址排除列表 */
    private List <String> emailNotList;
    /** 公司网站 */
    private List<String> websiteList;

    /** 公司网站排除列表 */
    private List <String> websiteNotList;
    /** 税务登记号 */
    private List<String> taxRegistrationNumberList;

    /** 税务登记号排除列表 */
    private List <String> taxRegistrationNumberNotList;
    /** 社会信用代码 */
    private List<String> socialCreditCodeList;

    /** 社会信用代码排除列表 */
    private List <String> socialCreditCodeNotList;
    /** 商标信息 */
    private List<String> trademarkInfoList;

    /** 商标信息排除列表 */
    private List <String> trademarkInfoNotList;
    /** 网站历史备案信息 */
    private List<String> websiteRegistrationInfoList;

    /** 网站历史备案信息排除列表 */
    private List <String> websiteRegistrationInfoNotList;
    /** 开始 员工总数 */
    private Integer totalEmployeesStart;

    /** 结束 员工总数 */
    private Integer totalEmployeesEnd;

    /** 增加 员工总数 */
    private Integer totalEmployeesIncrement;

    /** 员工总数列表 */
    private List <Integer> totalEmployeesList;

    /** 员工总数排除列表 */
    private List <Integer> totalEmployeesNotList;

    /** 开始 软件著作权数量 */
    private Integer softNumStart;

    /** 结束 软件著作权数量 */
    private Integer softNumEnd;

    /** 增加 软件著作权数量 */
    private Integer softNumIncrement;

    /** 软件著作权数量列表 */
    private List <Integer> softNumList;

    /** 软件著作权数量排除列表 */
    private List <Integer> softNumNotList;

    /** 开始 专利数量 */
    private Integer patentNumStart;

    /** 结束 专利数量 */
    private Integer patentNumEnd;

    /** 增加 专利数量 */
    private Integer patentNumIncrement;

    /** 专利数量列表 */
    private List <Integer> patentNumList;

    /** 专利数量排除列表 */
    private List <Integer> patentNumNotList;

    /** 历史发展 */
    private List<String> hisDevelopList;

    /** 历史发展排除列表 */
    private List <String> hisDevelopNotList;
    /** 经度 */
    private List<String> lonList;

    /** 经度排除列表 */
    private List <String> lonNotList;
    /** 纬度 */
    private List<String> latiList;

    /** 纬度排除列表 */
    private List <String> latiNotList;
    /** 企业logo */
    private List<String> logoPathList;

    /** 企业logo排除列表 */
    private List <String> logoPathNotList;
    /** 企业视频 */
    private List<String> companyVideoPathList;

    /** 企业视频排除列表 */
    private List <String> companyVideoPathNotList;
    /** 企业宣传图片 */
    private List<String> companyPicPathList;

    /** 企业宣传图片排除列表 */
    private List <String> companyPicPathNotList;
    /** 公司介绍 */
    private List<String> companyIntroductionList;

    /** 公司介绍排除列表 */
    private List <String> companyIntroductionNotList;
    /** 公司文化 */
    private List<String> companyCultureList;

    /** 公司文化排除列表 */
    private List <String> companyCultureNotList;
    /** 开始 排序 */
    private Integer sortStart;

    /** 结束 排序 */
    private Integer sortEnd;

    /** 增加 排序 */
    private Integer sortIncrement;

    /** 排序列表 */
    private List <Integer> sortList;

    /** 排序排除列表 */
    private List <Integer> sortNotList;

    /** 开始 成立日期 */
    private String establishDateStart;

    /** 结束 成立日期 */
    private String establishDateEnd;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<CompanyQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<CompanyQuery> andConditionList;

    public CompanyQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 公司名称
    * @return companyNameList
    */
    public List<String> getCompanyNameList(){
        return this.companyNameList;
    }

    /**
    * 设置 公司名称
    * @param companyNameList
    */
    public void setCompanyNameList(List<String> companyNameList){
        this.companyNameList = companyNameList;
    }

    /**
    * 获取 公司名称
    * @return companyNameNotList
    */
    public List<String> getCompanyNameNotList(){
        return this.companyNameNotList;
    }

    /**
    * 设置 公司名称
    * @param companyNameNotList
    */
    public void setCompanyNameNotList(List<String> companyNameNotList){
        this.companyNameNotList = companyNameNotList;
    }

    /**
    * 获取 公司编码
    * @return companyCodeList
    */
    public List<String> getCompanyCodeList(){
        return this.companyCodeList;
    }

    /**
    * 设置 公司编码
    * @param companyCodeList
    */
    public void setCompanyCodeList(List<String> companyCodeList){
        this.companyCodeList = companyCodeList;
    }

    /**
    * 获取 公司编码
    * @return companyCodeNotList
    */
    public List<String> getCompanyCodeNotList(){
        return this.companyCodeNotList;
    }

    /**
    * 设置 公司编码
    * @param companyCodeNotList
    */
    public void setCompanyCodeNotList(List<String> companyCodeNotList){
        this.companyCodeNotList = companyCodeNotList;
    }

    /**
    * 获取 注册号
    * @return registrationNumberList
    */
    public List<String> getRegistrationNumberList(){
        return this.registrationNumberList;
    }

    /**
    * 设置 注册号
    * @param registrationNumberList
    */
    public void setRegistrationNumberList(List<String> registrationNumberList){
        this.registrationNumberList = registrationNumberList;
    }

    /**
    * 获取 注册号
    * @return registrationNumberNotList
    */
    public List<String> getRegistrationNumberNotList(){
        return this.registrationNumberNotList;
    }

    /**
    * 设置 注册号
    * @param registrationNumberNotList
    */
    public void setRegistrationNumberNotList(List<String> registrationNumberNotList){
        this.registrationNumberNotList = registrationNumberNotList;
    }

    /**
    * 获取 法定代表人
    * @return legalRepresentativeList
    */
    public List<String> getLegalRepresentativeList(){
        return this.legalRepresentativeList;
    }

    /**
    * 设置 法定代表人
    * @param legalRepresentativeList
    */
    public void setLegalRepresentativeList(List<String> legalRepresentativeList){
        this.legalRepresentativeList = legalRepresentativeList;
    }

    /**
    * 获取 法定代表人
    * @return legalRepresentativeNotList
    */
    public List<String> getLegalRepresentativeNotList(){
        return this.legalRepresentativeNotList;
    }

    /**
    * 设置 法定代表人
    * @param legalRepresentativeNotList
    */
    public void setLegalRepresentativeNotList(List<String> legalRepresentativeNotList){
        this.legalRepresentativeNotList = legalRepresentativeNotList;
    }

    /**
    * 获取 注册资本
    * @return registeredCapitalList
    */
    public List<String> getRegisteredCapitalList(){
        return this.registeredCapitalList;
    }

    /**
    * 设置 注册资本
    * @param registeredCapitalList
    */
    public void setRegisteredCapitalList(List<String> registeredCapitalList){
        this.registeredCapitalList = registeredCapitalList;
    }

    /**
    * 获取 注册资本
    * @return registeredCapitalNotList
    */
    public List<String> getRegisteredCapitalNotList(){
        return this.registeredCapitalNotList;
    }

    /**
    * 设置 注册资本
    * @param registeredCapitalNotList
    */
    public void setRegisteredCapitalNotList(List<String> registeredCapitalNotList){
        this.registeredCapitalNotList = registeredCapitalNotList;
    }

    /**
    * 获取 公司类型
    * @return companyTypeList
    */
    public List<String> getCompanyTypeList(){
        return this.companyTypeList;
    }

    /**
    * 设置 公司类型
    * @param companyTypeList
    */
    public void setCompanyTypeList(List<String> companyTypeList){
        this.companyTypeList = companyTypeList;
    }

    /**
    * 获取 公司类型
    * @return companyTypeNotList
    */
    public List<String> getCompanyTypeNotList(){
        return this.companyTypeNotList;
    }

    /**
    * 设置 公司类型
    * @param companyTypeNotList
    */
    public void setCompanyTypeNotList(List<String> companyTypeNotList){
        this.companyTypeNotList = companyTypeNotList;
    }

    /**
    * 获取 经营范围
    * @return businessScopeList
    */
    public List<String> getBusinessScopeList(){
        return this.businessScopeList;
    }

    /**
    * 设置 经营范围
    * @param businessScopeList
    */
    public void setBusinessScopeList(List<String> businessScopeList){
        this.businessScopeList = businessScopeList;
    }

    /**
    * 获取 经营范围
    * @return businessScopeNotList
    */
    public List<String> getBusinessScopeNotList(){
        return this.businessScopeNotList;
    }

    /**
    * 设置 经营范围
    * @param businessScopeNotList
    */
    public void setBusinessScopeNotList(List<String> businessScopeNotList){
        this.businessScopeNotList = businessScopeNotList;
    }

    /**
    * 获取 经营地址
    * @return businessAdressList
    */
    public List<String> getBusinessAdressList(){
        return this.businessAdressList;
    }

    /**
    * 设置 经营地址
    * @param businessAdressList
    */
    public void setBusinessAdressList(List<String> businessAdressList){
        this.businessAdressList = businessAdressList;
    }

    /**
    * 获取 经营地址
    * @return businessAdressNotList
    */
    public List<String> getBusinessAdressNotList(){
        return this.businessAdressNotList;
    }

    /**
    * 设置 经营地址
    * @param businessAdressNotList
    */
    public void setBusinessAdressNotList(List<String> businessAdressNotList){
        this.businessAdressNotList = businessAdressNotList;
    }

    /**
    * 获取 所在地
    * @return locationList
    */
    public List<String> getLocationList(){
        return this.locationList;
    }

    /**
    * 设置 所在地
    * @param locationList
    */
    public void setLocationList(List<String> locationList){
        this.locationList = locationList;
    }

    /**
    * 获取 所在地
    * @return locationNotList
    */
    public List<String> getLocationNotList(){
        return this.locationNotList;
    }

    /**
    * 设置 所在地
    * @param locationNotList
    */
    public void setLocationNotList(List<String> locationNotList){
        this.locationNotList = locationNotList;
    }

    /**
    * 获取 所属区域编码
    * @return areaCodeList
    */
    public List<String> getAreaCodeList(){
        return this.areaCodeList;
    }

    /**
    * 设置 所属区域编码
    * @param areaCodeList
    */
    public void setAreaCodeList(List<String> areaCodeList){
        this.areaCodeList = areaCodeList;
    }

    /**
    * 获取 所属区域编码
    * @return areaCodeNotList
    */
    public List<String> getAreaCodeNotList(){
        return this.areaCodeNotList;
    }

    /**
    * 设置 所属区域编码
    * @param areaCodeNotList
    */
    public void setAreaCodeNotList(List<String> areaCodeNotList){
        this.areaCodeNotList = areaCodeNotList;
    }

    /**
    * 获取 所属区域名称
    * @return areaNameList
    */
    public List<String> getAreaNameList(){
        return this.areaNameList;
    }

    /**
    * 设置 所属区域名称
    * @param areaNameList
    */
    public void setAreaNameList(List<String> areaNameList){
        this.areaNameList = areaNameList;
    }

    /**
    * 获取 所属区域名称
    * @return areaNameNotList
    */
    public List<String> getAreaNameNotList(){
        return this.areaNameNotList;
    }

    /**
    * 设置 所属区域名称
    * @param areaNameNotList
    */
    public void setAreaNameNotList(List<String> areaNameNotList){
        this.areaNameNotList = areaNameNotList;
    }

    /**
    * 获取 联系电话
    * @return contactPhoneList
    */
    public List<String> getContactPhoneList(){
        return this.contactPhoneList;
    }

    /**
    * 设置 联系电话
    * @param contactPhoneList
    */
    public void setContactPhoneList(List<String> contactPhoneList){
        this.contactPhoneList = contactPhoneList;
    }

    /**
    * 获取 联系电话
    * @return contactPhoneNotList
    */
    public List<String> getContactPhoneNotList(){
        return this.contactPhoneNotList;
    }

    /**
    * 设置 联系电话
    * @param contactPhoneNotList
    */
    public void setContactPhoneNotList(List<String> contactPhoneNotList){
        this.contactPhoneNotList = contactPhoneNotList;
    }

    /**
    * 获取 电子邮件地址
    * @return emailList
    */
    public List<String> getEmailList(){
        return this.emailList;
    }

    /**
    * 设置 电子邮件地址
    * @param emailList
    */
    public void setEmailList(List<String> emailList){
        this.emailList = emailList;
    }

    /**
    * 获取 电子邮件地址
    * @return emailNotList
    */
    public List<String> getEmailNotList(){
        return this.emailNotList;
    }

    /**
    * 设置 电子邮件地址
    * @param emailNotList
    */
    public void setEmailNotList(List<String> emailNotList){
        this.emailNotList = emailNotList;
    }

    /**
    * 获取 公司网站
    * @return websiteList
    */
    public List<String> getWebsiteList(){
        return this.websiteList;
    }

    /**
    * 设置 公司网站
    * @param websiteList
    */
    public void setWebsiteList(List<String> websiteList){
        this.websiteList = websiteList;
    }

    /**
    * 获取 公司网站
    * @return websiteNotList
    */
    public List<String> getWebsiteNotList(){
        return this.websiteNotList;
    }

    /**
    * 设置 公司网站
    * @param websiteNotList
    */
    public void setWebsiteNotList(List<String> websiteNotList){
        this.websiteNotList = websiteNotList;
    }

    /**
    * 获取 税务登记号
    * @return taxRegistrationNumberList
    */
    public List<String> getTaxRegistrationNumberList(){
        return this.taxRegistrationNumberList;
    }

    /**
    * 设置 税务登记号
    * @param taxRegistrationNumberList
    */
    public void setTaxRegistrationNumberList(List<String> taxRegistrationNumberList){
        this.taxRegistrationNumberList = taxRegistrationNumberList;
    }

    /**
    * 获取 税务登记号
    * @return taxRegistrationNumberNotList
    */
    public List<String> getTaxRegistrationNumberNotList(){
        return this.taxRegistrationNumberNotList;
    }

    /**
    * 设置 税务登记号
    * @param taxRegistrationNumberNotList
    */
    public void setTaxRegistrationNumberNotList(List<String> taxRegistrationNumberNotList){
        this.taxRegistrationNumberNotList = taxRegistrationNumberNotList;
    }

    /**
    * 获取 社会信用代码
    * @return socialCreditCodeList
    */
    public List<String> getSocialCreditCodeList(){
        return this.socialCreditCodeList;
    }

    /**
    * 设置 社会信用代码
    * @param socialCreditCodeList
    */
    public void setSocialCreditCodeList(List<String> socialCreditCodeList){
        this.socialCreditCodeList = socialCreditCodeList;
    }

    /**
    * 获取 社会信用代码
    * @return socialCreditCodeNotList
    */
    public List<String> getSocialCreditCodeNotList(){
        return this.socialCreditCodeNotList;
    }

    /**
    * 设置 社会信用代码
    * @param socialCreditCodeNotList
    */
    public void setSocialCreditCodeNotList(List<String> socialCreditCodeNotList){
        this.socialCreditCodeNotList = socialCreditCodeNotList;
    }

    /**
    * 获取 商标信息
    * @return trademarkInfoList
    */
    public List<String> getTrademarkInfoList(){
        return this.trademarkInfoList;
    }

    /**
    * 设置 商标信息
    * @param trademarkInfoList
    */
    public void setTrademarkInfoList(List<String> trademarkInfoList){
        this.trademarkInfoList = trademarkInfoList;
    }

    /**
    * 获取 商标信息
    * @return trademarkInfoNotList
    */
    public List<String> getTrademarkInfoNotList(){
        return this.trademarkInfoNotList;
    }

    /**
    * 设置 商标信息
    * @param trademarkInfoNotList
    */
    public void setTrademarkInfoNotList(List<String> trademarkInfoNotList){
        this.trademarkInfoNotList = trademarkInfoNotList;
    }

    /**
    * 获取 网站历史备案信息
    * @return websiteRegistrationInfoList
    */
    public List<String> getWebsiteRegistrationInfoList(){
        return this.websiteRegistrationInfoList;
    }

    /**
    * 设置 网站历史备案信息
    * @param websiteRegistrationInfoList
    */
    public void setWebsiteRegistrationInfoList(List<String> websiteRegistrationInfoList){
        this.websiteRegistrationInfoList = websiteRegistrationInfoList;
    }

    /**
    * 获取 网站历史备案信息
    * @return websiteRegistrationInfoNotList
    */
    public List<String> getWebsiteRegistrationInfoNotList(){
        return this.websiteRegistrationInfoNotList;
    }

    /**
    * 设置 网站历史备案信息
    * @param websiteRegistrationInfoNotList
    */
    public void setWebsiteRegistrationInfoNotList(List<String> websiteRegistrationInfoNotList){
        this.websiteRegistrationInfoNotList = websiteRegistrationInfoNotList;
    }

    /**
    * 获取 开始 员工总数
    * @return totalEmployeesStart
    */
    public Integer getTotalEmployeesStart(){
        return this.totalEmployeesStart;
    }

    /**
    * 设置 开始 员工总数
    * @param totalEmployeesStart
    */
    public void setTotalEmployeesStart(Integer totalEmployeesStart){
        this.totalEmployeesStart = totalEmployeesStart;
    }

    /**
    * 获取 结束 员工总数
    * @return $totalEmployeesEnd
    */
    public Integer getTotalEmployeesEnd(){
        return this.totalEmployeesEnd;
    }

    /**
    * 设置 结束 员工总数
    * @param totalEmployeesEnd
    */
    public void setTotalEmployeesEnd(Integer totalEmployeesEnd){
        this.totalEmployeesEnd = totalEmployeesEnd;
    }

    /**
    * 获取 增加 员工总数
    * @return totalEmployeesIncrement
    */
    public Integer getTotalEmployeesIncrement(){
        return this.totalEmployeesIncrement;
    }

    /**
    * 设置 增加 员工总数
    * @param totalEmployeesIncrement
    */
    public void setTotalEmployeesIncrement(Integer totalEmployeesIncrement){
        this.totalEmployeesIncrement = totalEmployeesIncrement;
    }

    /**
    * 获取 员工总数
    * @return totalEmployeesList
    */
    public List<Integer> getTotalEmployeesList(){
        return this.totalEmployeesList;
    }

    /**
    * 设置 员工总数
    * @param totalEmployeesList
    */
    public void setTotalEmployeesList(List<Integer> totalEmployeesList){
        this.totalEmployeesList = totalEmployeesList;
    }

    /**
    * 获取 员工总数
    * @return totalEmployeesNotList
    */
    public List<Integer> getTotalEmployeesNotList(){
        return this.totalEmployeesNotList;
    }

    /**
    * 设置 员工总数
    * @param totalEmployeesNotList
    */
    public void setTotalEmployeesNotList(List<Integer> totalEmployeesNotList){
        this.totalEmployeesNotList = totalEmployeesNotList;
    }


    /**
    * 获取 开始 软件著作权数量
    * @return softNumStart
    */
    public Integer getSoftNumStart(){
        return this.softNumStart;
    }

    /**
    * 设置 开始 软件著作权数量
    * @param softNumStart
    */
    public void setSoftNumStart(Integer softNumStart){
        this.softNumStart = softNumStart;
    }

    /**
    * 获取 结束 软件著作权数量
    * @return $softNumEnd
    */
    public Integer getSoftNumEnd(){
        return this.softNumEnd;
    }

    /**
    * 设置 结束 软件著作权数量
    * @param softNumEnd
    */
    public void setSoftNumEnd(Integer softNumEnd){
        this.softNumEnd = softNumEnd;
    }

    /**
    * 获取 增加 软件著作权数量
    * @return softNumIncrement
    */
    public Integer getSoftNumIncrement(){
        return this.softNumIncrement;
    }

    /**
    * 设置 增加 软件著作权数量
    * @param softNumIncrement
    */
    public void setSoftNumIncrement(Integer softNumIncrement){
        this.softNumIncrement = softNumIncrement;
    }

    /**
    * 获取 软件著作权数量
    * @return softNumList
    */
    public List<Integer> getSoftNumList(){
        return this.softNumList;
    }

    /**
    * 设置 软件著作权数量
    * @param softNumList
    */
    public void setSoftNumList(List<Integer> softNumList){
        this.softNumList = softNumList;
    }

    /**
    * 获取 软件著作权数量
    * @return softNumNotList
    */
    public List<Integer> getSoftNumNotList(){
        return this.softNumNotList;
    }

    /**
    * 设置 软件著作权数量
    * @param softNumNotList
    */
    public void setSoftNumNotList(List<Integer> softNumNotList){
        this.softNumNotList = softNumNotList;
    }


    /**
    * 获取 开始 专利数量
    * @return patentNumStart
    */
    public Integer getPatentNumStart(){
        return this.patentNumStart;
    }

    /**
    * 设置 开始 专利数量
    * @param patentNumStart
    */
    public void setPatentNumStart(Integer patentNumStart){
        this.patentNumStart = patentNumStart;
    }

    /**
    * 获取 结束 专利数量
    * @return $patentNumEnd
    */
    public Integer getPatentNumEnd(){
        return this.patentNumEnd;
    }

    /**
    * 设置 结束 专利数量
    * @param patentNumEnd
    */
    public void setPatentNumEnd(Integer patentNumEnd){
        this.patentNumEnd = patentNumEnd;
    }

    /**
    * 获取 增加 专利数量
    * @return patentNumIncrement
    */
    public Integer getPatentNumIncrement(){
        return this.patentNumIncrement;
    }

    /**
    * 设置 增加 专利数量
    * @param patentNumIncrement
    */
    public void setPatentNumIncrement(Integer patentNumIncrement){
        this.patentNumIncrement = patentNumIncrement;
    }

    /**
    * 获取 专利数量
    * @return patentNumList
    */
    public List<Integer> getPatentNumList(){
        return this.patentNumList;
    }

    /**
    * 设置 专利数量
    * @param patentNumList
    */
    public void setPatentNumList(List<Integer> patentNumList){
        this.patentNumList = patentNumList;
    }

    /**
    * 获取 专利数量
    * @return patentNumNotList
    */
    public List<Integer> getPatentNumNotList(){
        return this.patentNumNotList;
    }

    /**
    * 设置 专利数量
    * @param patentNumNotList
    */
    public void setPatentNumNotList(List<Integer> patentNumNotList){
        this.patentNumNotList = patentNumNotList;
    }


    /**
    * 获取 历史发展
    * @return hisDevelopList
    */
    public List<String> getHisDevelopList(){
        return this.hisDevelopList;
    }

    /**
    * 设置 历史发展
    * @param hisDevelopList
    */
    public void setHisDevelopList(List<String> hisDevelopList){
        this.hisDevelopList = hisDevelopList;
    }

    /**
    * 获取 历史发展
    * @return hisDevelopNotList
    */
    public List<String> getHisDevelopNotList(){
        return this.hisDevelopNotList;
    }

    /**
    * 设置 历史发展
    * @param hisDevelopNotList
    */
    public void setHisDevelopNotList(List<String> hisDevelopNotList){
        this.hisDevelopNotList = hisDevelopNotList;
    }

    /**
    * 获取 经度
    * @return lonList
    */
    public List<String> getLonList(){
        return this.lonList;
    }

    /**
    * 设置 经度
    * @param lonList
    */
    public void setLonList(List<String> lonList){
        this.lonList = lonList;
    }

    /**
    * 获取 经度
    * @return lonNotList
    */
    public List<String> getLonNotList(){
        return this.lonNotList;
    }

    /**
    * 设置 经度
    * @param lonNotList
    */
    public void setLonNotList(List<String> lonNotList){
        this.lonNotList = lonNotList;
    }

    /**
    * 获取 纬度
    * @return latiList
    */
    public List<String> getLatiList(){
        return this.latiList;
    }

    /**
    * 设置 纬度
    * @param latiList
    */
    public void setLatiList(List<String> latiList){
        this.latiList = latiList;
    }

    /**
    * 获取 纬度
    * @return latiNotList
    */
    public List<String> getLatiNotList(){
        return this.latiNotList;
    }

    /**
    * 设置 纬度
    * @param latiNotList
    */
    public void setLatiNotList(List<String> latiNotList){
        this.latiNotList = latiNotList;
    }

    /**
    * 获取 企业logo
    * @return logoPathList
    */
    public List<String> getLogoPathList(){
        return this.logoPathList;
    }

    /**
    * 设置 企业logo
    * @param logoPathList
    */
    public void setLogoPathList(List<String> logoPathList){
        this.logoPathList = logoPathList;
    }

    /**
    * 获取 企业logo
    * @return logoPathNotList
    */
    public List<String> getLogoPathNotList(){
        return this.logoPathNotList;
    }

    /**
    * 设置 企业logo
    * @param logoPathNotList
    */
    public void setLogoPathNotList(List<String> logoPathNotList){
        this.logoPathNotList = logoPathNotList;
    }

    /**
    * 获取 企业视频
    * @return companyVideoPathList
    */
    public List<String> getCompanyVideoPathList(){
        return this.companyVideoPathList;
    }

    /**
    * 设置 企业视频
    * @param companyVideoPathList
    */
    public void setCompanyVideoPathList(List<String> companyVideoPathList){
        this.companyVideoPathList = companyVideoPathList;
    }

    /**
    * 获取 企业视频
    * @return companyVideoPathNotList
    */
    public List<String> getCompanyVideoPathNotList(){
        return this.companyVideoPathNotList;
    }

    /**
    * 设置 企业视频
    * @param companyVideoPathNotList
    */
    public void setCompanyVideoPathNotList(List<String> companyVideoPathNotList){
        this.companyVideoPathNotList = companyVideoPathNotList;
    }

    /**
    * 获取 企业宣传图片
    * @return companyPicPathList
    */
    public List<String> getCompanyPicPathList(){
        return this.companyPicPathList;
    }

    /**
    * 设置 企业宣传图片
    * @param companyPicPathList
    */
    public void setCompanyPicPathList(List<String> companyPicPathList){
        this.companyPicPathList = companyPicPathList;
    }

    /**
    * 获取 企业宣传图片
    * @return companyPicPathNotList
    */
    public List<String> getCompanyPicPathNotList(){
        return this.companyPicPathNotList;
    }

    /**
    * 设置 企业宣传图片
    * @param companyPicPathNotList
    */
    public void setCompanyPicPathNotList(List<String> companyPicPathNotList){
        this.companyPicPathNotList = companyPicPathNotList;
    }

    /**
    * 获取 公司介绍
    * @return companyIntroductionList
    */
    public List<String> getCompanyIntroductionList(){
        return this.companyIntroductionList;
    }

    /**
    * 设置 公司介绍
    * @param companyIntroductionList
    */
    public void setCompanyIntroductionList(List<String> companyIntroductionList){
        this.companyIntroductionList = companyIntroductionList;
    }

    /**
    * 获取 公司介绍
    * @return companyIntroductionNotList
    */
    public List<String> getCompanyIntroductionNotList(){
        return this.companyIntroductionNotList;
    }

    /**
    * 设置 公司介绍
    * @param companyIntroductionNotList
    */
    public void setCompanyIntroductionNotList(List<String> companyIntroductionNotList){
        this.companyIntroductionNotList = companyIntroductionNotList;
    }

    /**
    * 获取 公司文化
    * @return companyCultureList
    */
    public List<String> getCompanyCultureList(){
        return this.companyCultureList;
    }

    /**
    * 设置 公司文化
    * @param companyCultureList
    */
    public void setCompanyCultureList(List<String> companyCultureList){
        this.companyCultureList = companyCultureList;
    }

    /**
    * 获取 公司文化
    * @return companyCultureNotList
    */
    public List<String> getCompanyCultureNotList(){
        return this.companyCultureNotList;
    }

    /**
    * 设置 公司文化
    * @param companyCultureNotList
    */
    public void setCompanyCultureNotList(List<String> companyCultureNotList){
        this.companyCultureNotList = companyCultureNotList;
    }

    /**
    * 获取 开始 排序
    * @return sortStart
    */
    public Integer getSortStart(){
        return this.sortStart;
    }

    /**
    * 设置 开始 排序
    * @param sortStart
    */
    public void setSortStart(Integer sortStart){
        this.sortStart = sortStart;
    }

    /**
    * 获取 结束 排序
    * @return $sortEnd
    */
    public Integer getSortEnd(){
        return this.sortEnd;
    }

    /**
    * 设置 结束 排序
    * @param sortEnd
    */
    public void setSortEnd(Integer sortEnd){
        this.sortEnd = sortEnd;
    }

    /**
    * 获取 增加 排序
    * @return sortIncrement
    */
    public Integer getSortIncrement(){
        return this.sortIncrement;
    }

    /**
    * 设置 增加 排序
    * @param sortIncrement
    */
    public void setSortIncrement(Integer sortIncrement){
        this.sortIncrement = sortIncrement;
    }

    /**
    * 获取 排序
    * @return sortList
    */
    public List<Integer> getSortList(){
        return this.sortList;
    }

    /**
    * 设置 排序
    * @param sortList
    */
    public void setSortList(List<Integer> sortList){
        this.sortList = sortList;
    }

    /**
    * 获取 排序
    * @return sortNotList
    */
    public List<Integer> getSortNotList(){
        return this.sortNotList;
    }

    /**
    * 设置 排序
    * @param sortNotList
    */
    public void setSortNotList(List<Integer> sortNotList){
        this.sortNotList = sortNotList;
    }


    /**
    * 获取 开始 成立日期
    * @return establishDateStart
    */
    public String getEstablishDateStart(){
        return this.establishDateStart;
    }

    /**
    * 设置 开始 成立日期
    * @param establishDateStart
    */
    public void setEstablishDateStart(String establishDateStart){
        this.establishDateStart = establishDateStart;
    }

    /**
    * 获取 结束 成立日期
    * @return establishDateEnd
    */
    public String getEstablishDateEnd(){
        return this.establishDateEnd;
    }

    /**
    * 设置 结束 成立日期
    * @param establishDateEnd
    */
    public void setEstablishDateEnd(String establishDateEnd){
        this.establishDateEnd = establishDateEnd;
    }

    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public CompanyQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public CompanyQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public CompanyQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public CompanyQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public CompanyQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 主键ID，主键，自增长
        * @param idNotList
        */
        public CompanyQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 公司名称
    * @param companyName
    */
    public CompanyQuery companyName(String companyName){
        setCompanyName(companyName);
		return this;
    }

    /**
    * 设置 公司名称
    * @param companyNameList
    */
    public CompanyQuery companyNameList(List<String> companyNameList){
        this.companyNameList = companyNameList;
		return this;
    }


	/**
    * 设置 公司编码
    * @param companyCode
    */
    public CompanyQuery companyCode(String companyCode){
        setCompanyCode(companyCode);
		return this;
    }

    /**
    * 设置 公司编码
    * @param companyCodeList
    */
    public CompanyQuery companyCodeList(List<String> companyCodeList){
        this.companyCodeList = companyCodeList;
		return this;
    }


	/**
    * 设置 注册号
    * @param registrationNumber
    */
    public CompanyQuery registrationNumber(String registrationNumber){
        setRegistrationNumber(registrationNumber);
		return this;
    }

    /**
    * 设置 注册号
    * @param registrationNumberList
    */
    public CompanyQuery registrationNumberList(List<String> registrationNumberList){
        this.registrationNumberList = registrationNumberList;
		return this;
    }


	/**
    * 设置 法定代表人
    * @param legalRepresentative
    */
    public CompanyQuery legalRepresentative(String legalRepresentative){
        setLegalRepresentative(legalRepresentative);
		return this;
    }

    /**
    * 设置 法定代表人
    * @param legalRepresentativeList
    */
    public CompanyQuery legalRepresentativeList(List<String> legalRepresentativeList){
        this.legalRepresentativeList = legalRepresentativeList;
		return this;
    }


	/**
    * 设置 注册资本
    * @param registeredCapital
    */
    public CompanyQuery registeredCapital(String registeredCapital){
        setRegisteredCapital(registeredCapital);
		return this;
    }

    /**
    * 设置 注册资本
    * @param registeredCapitalList
    */
    public CompanyQuery registeredCapitalList(List<String> registeredCapitalList){
        this.registeredCapitalList = registeredCapitalList;
		return this;
    }


	/**
    * 设置 公司类型
    * @param companyType
    */
    public CompanyQuery companyType(String companyType){
        setCompanyType(companyType);
		return this;
    }

    /**
    * 设置 公司类型
    * @param companyTypeList
    */
    public CompanyQuery companyTypeList(List<String> companyTypeList){
        this.companyTypeList = companyTypeList;
		return this;
    }


	/**
    * 设置 经营范围
    * @param businessScope
    */
    public CompanyQuery businessScope(String businessScope){
        setBusinessScope(businessScope);
		return this;
    }

    /**
    * 设置 经营范围
    * @param businessScopeList
    */
    public CompanyQuery businessScopeList(List<String> businessScopeList){
        this.businessScopeList = businessScopeList;
		return this;
    }


	/**
    * 设置 经营地址
    * @param businessAdress
    */
    public CompanyQuery businessAdress(String businessAdress){
        setBusinessAdress(businessAdress);
		return this;
    }

    /**
    * 设置 经营地址
    * @param businessAdressList
    */
    public CompanyQuery businessAdressList(List<String> businessAdressList){
        this.businessAdressList = businessAdressList;
		return this;
    }


	/**
    * 设置 所在地
    * @param location
    */
    public CompanyQuery location(String location){
        setLocation(location);
		return this;
    }

    /**
    * 设置 所在地
    * @param locationList
    */
    public CompanyQuery locationList(List<String> locationList){
        this.locationList = locationList;
		return this;
    }


	/**
    * 设置 所属区域编码
    * @param areaCode
    */
    public CompanyQuery areaCode(String areaCode){
        setAreaCode(areaCode);
		return this;
    }

    /**
    * 设置 所属区域编码
    * @param areaCodeList
    */
    public CompanyQuery areaCodeList(List<String> areaCodeList){
        this.areaCodeList = areaCodeList;
		return this;
    }


	/**
    * 设置 所属区域名称
    * @param areaName
    */
    public CompanyQuery areaName(String areaName){
        setAreaName(areaName);
		return this;
    }

    /**
    * 设置 所属区域名称
    * @param areaNameList
    */
    public CompanyQuery areaNameList(List<String> areaNameList){
        this.areaNameList = areaNameList;
		return this;
    }


	/**
    * 设置 联系电话
    * @param contactPhone
    */
    public CompanyQuery contactPhone(String contactPhone){
        setContactPhone(contactPhone);
		return this;
    }

    /**
    * 设置 联系电话
    * @param contactPhoneList
    */
    public CompanyQuery contactPhoneList(List<String> contactPhoneList){
        this.contactPhoneList = contactPhoneList;
		return this;
    }


	/**
    * 设置 电子邮件地址
    * @param email
    */
    public CompanyQuery email(String email){
        setEmail(email);
		return this;
    }

    /**
    * 设置 电子邮件地址
    * @param emailList
    */
    public CompanyQuery emailList(List<String> emailList){
        this.emailList = emailList;
		return this;
    }


	/**
    * 设置 公司网站
    * @param website
    */
    public CompanyQuery website(String website){
        setWebsite(website);
		return this;
    }

    /**
    * 设置 公司网站
    * @param websiteList
    */
    public CompanyQuery websiteList(List<String> websiteList){
        this.websiteList = websiteList;
		return this;
    }


	/**
    * 设置 税务登记号
    * @param taxRegistrationNumber
    */
    public CompanyQuery taxRegistrationNumber(String taxRegistrationNumber){
        setTaxRegistrationNumber(taxRegistrationNumber);
		return this;
    }

    /**
    * 设置 税务登记号
    * @param taxRegistrationNumberList
    */
    public CompanyQuery taxRegistrationNumberList(List<String> taxRegistrationNumberList){
        this.taxRegistrationNumberList = taxRegistrationNumberList;
		return this;
    }


	/**
    * 设置 社会信用代码
    * @param socialCreditCode
    */
    public CompanyQuery socialCreditCode(String socialCreditCode){
        setSocialCreditCode(socialCreditCode);
		return this;
    }

    /**
    * 设置 社会信用代码
    * @param socialCreditCodeList
    */
    public CompanyQuery socialCreditCodeList(List<String> socialCreditCodeList){
        this.socialCreditCodeList = socialCreditCodeList;
		return this;
    }


	/**
    * 设置 商标信息
    * @param trademarkInfo
    */
    public CompanyQuery trademarkInfo(String trademarkInfo){
        setTrademarkInfo(trademarkInfo);
		return this;
    }

    /**
    * 设置 商标信息
    * @param trademarkInfoList
    */
    public CompanyQuery trademarkInfoList(List<String> trademarkInfoList){
        this.trademarkInfoList = trademarkInfoList;
		return this;
    }


	/**
    * 设置 网站历史备案信息
    * @param websiteRegistrationInfo
    */
    public CompanyQuery websiteRegistrationInfo(String websiteRegistrationInfo){
        setWebsiteRegistrationInfo(websiteRegistrationInfo);
		return this;
    }

    /**
    * 设置 网站历史备案信息
    * @param websiteRegistrationInfoList
    */
    public CompanyQuery websiteRegistrationInfoList(List<String> websiteRegistrationInfoList){
        this.websiteRegistrationInfoList = websiteRegistrationInfoList;
		return this;
    }

    /**
    * 设置  员工总数
    * @param totalEmployees
    */
    public CompanyQuery totalEmployees(Integer totalEmployees){
	    setTotalEmployees(totalEmployees);
		return this;
    }
	
	 /**
    * 设置 开始 员工总数
    * @param totalEmployeesStart
    */
    public CompanyQuery totalEmployeesStart(Integer totalEmployeesStart){
		this.totalEmployeesStart = totalEmployeesStart;
		return this;
    }

    /**
    * 设置 结束 员工总数
    * @param totalEmployeesEnd
    */
    public CompanyQuery totalEmployeesEnd(Integer totalEmployeesEnd){
		this.totalEmployeesEnd = totalEmployeesEnd;
		return this;
    }

    /**
    * 设置 增加 员工总数
    * @param totalEmployeesIncrement
    */
    public CompanyQuery totalEmployeesIncrement(Integer totalEmployeesIncrement){
		this.totalEmployeesIncrement = totalEmployeesIncrement;
		return this;
    }

    /**
    * 设置 员工总数
    * @param totalEmployeesList
    */
    public CompanyQuery totalEmployeesList(List<Integer> totalEmployeesList){
        this.totalEmployeesList = totalEmployeesList;
		return this;
        }

        /**
        * 设置 员工总数
        * @param totalEmployeesNotList
        */
        public CompanyQuery totalEmployeesNotList(List<Integer> totalEmployeesNotList){
        this.totalEmployeesNotList = totalEmployeesNotList;
        return this;
        }

    /**
    * 设置  软件著作权数量
    * @param softNum
    */
    public CompanyQuery softNum(Integer softNum){
	    setSoftNum(softNum);
		return this;
    }
	
	 /**
    * 设置 开始 软件著作权数量
    * @param softNumStart
    */
    public CompanyQuery softNumStart(Integer softNumStart){
		this.softNumStart = softNumStart;
		return this;
    }

    /**
    * 设置 结束 软件著作权数量
    * @param softNumEnd
    */
    public CompanyQuery softNumEnd(Integer softNumEnd){
		this.softNumEnd = softNumEnd;
		return this;
    }

    /**
    * 设置 增加 软件著作权数量
    * @param softNumIncrement
    */
    public CompanyQuery softNumIncrement(Integer softNumIncrement){
		this.softNumIncrement = softNumIncrement;
		return this;
    }

    /**
    * 设置 软件著作权数量
    * @param softNumList
    */
    public CompanyQuery softNumList(List<Integer> softNumList){
        this.softNumList = softNumList;
		return this;
        }

        /**
        * 设置 软件著作权数量
        * @param softNumNotList
        */
        public CompanyQuery softNumNotList(List<Integer> softNumNotList){
        this.softNumNotList = softNumNotList;
        return this;
        }

    /**
    * 设置  专利数量
    * @param patentNum
    */
    public CompanyQuery patentNum(Integer patentNum){
	    setPatentNum(patentNum);
		return this;
    }
	
	 /**
    * 设置 开始 专利数量
    * @param patentNumStart
    */
    public CompanyQuery patentNumStart(Integer patentNumStart){
		this.patentNumStart = patentNumStart;
		return this;
    }

    /**
    * 设置 结束 专利数量
    * @param patentNumEnd
    */
    public CompanyQuery patentNumEnd(Integer patentNumEnd){
		this.patentNumEnd = patentNumEnd;
		return this;
    }

    /**
    * 设置 增加 专利数量
    * @param patentNumIncrement
    */
    public CompanyQuery patentNumIncrement(Integer patentNumIncrement){
		this.patentNumIncrement = patentNumIncrement;
		return this;
    }

    /**
    * 设置 专利数量
    * @param patentNumList
    */
    public CompanyQuery patentNumList(List<Integer> patentNumList){
        this.patentNumList = patentNumList;
		return this;
        }

        /**
        * 设置 专利数量
        * @param patentNumNotList
        */
        public CompanyQuery patentNumNotList(List<Integer> patentNumNotList){
        this.patentNumNotList = patentNumNotList;
        return this;
        }


	/**
    * 设置 历史发展
    * @param hisDevelop
    */
    public CompanyQuery hisDevelop(String hisDevelop){
        setHisDevelop(hisDevelop);
		return this;
    }

    /**
    * 设置 历史发展
    * @param hisDevelopList
    */
    public CompanyQuery hisDevelopList(List<String> hisDevelopList){
        this.hisDevelopList = hisDevelopList;
		return this;
    }


	/**
    * 设置 经度
    * @param lon
    */
    public CompanyQuery lon(String lon){
        setLon(lon);
		return this;
    }

    /**
    * 设置 经度
    * @param lonList
    */
    public CompanyQuery lonList(List<String> lonList){
        this.lonList = lonList;
		return this;
    }


	/**
    * 设置 纬度
    * @param lati
    */
    public CompanyQuery lati(String lati){
        setLati(lati);
		return this;
    }

    /**
    * 设置 纬度
    * @param latiList
    */
    public CompanyQuery latiList(List<String> latiList){
        this.latiList = latiList;
		return this;
    }


	/**
    * 设置 企业logo
    * @param logoPath
    */
    public CompanyQuery logoPath(String logoPath){
        setLogoPath(logoPath);
		return this;
    }

    /**
    * 设置 企业logo
    * @param logoPathList
    */
    public CompanyQuery logoPathList(List<String> logoPathList){
        this.logoPathList = logoPathList;
		return this;
    }


	/**
    * 设置 企业视频
    * @param companyVideoPath
    */
    public CompanyQuery companyVideoPath(String companyVideoPath){
        setCompanyVideoPath(companyVideoPath);
		return this;
    }

    /**
    * 设置 企业视频
    * @param companyVideoPathList
    */
    public CompanyQuery companyVideoPathList(List<String> companyVideoPathList){
        this.companyVideoPathList = companyVideoPathList;
		return this;
    }


	/**
    * 设置 企业宣传图片
    * @param companyPicPath
    */
    public CompanyQuery companyPicPath(String companyPicPath){
        setCompanyPicPath(companyPicPath);
		return this;
    }

    /**
    * 设置 企业宣传图片
    * @param companyPicPathList
    */
    public CompanyQuery companyPicPathList(List<String> companyPicPathList){
        this.companyPicPathList = companyPicPathList;
		return this;
    }


	/**
    * 设置 公司介绍
    * @param companyIntroduction
    */
    public CompanyQuery companyIntroduction(String companyIntroduction){
        setCompanyIntroduction(companyIntroduction);
		return this;
    }

    /**
    * 设置 公司介绍
    * @param companyIntroductionList
    */
    public CompanyQuery companyIntroductionList(List<String> companyIntroductionList){
        this.companyIntroductionList = companyIntroductionList;
		return this;
    }


	/**
    * 设置 公司文化
    * @param companyCulture
    */
    public CompanyQuery companyCulture(String companyCulture){
        setCompanyCulture(companyCulture);
		return this;
    }

    /**
    * 设置 公司文化
    * @param companyCultureList
    */
    public CompanyQuery companyCultureList(List<String> companyCultureList){
        this.companyCultureList = companyCultureList;
		return this;
    }

    /**
    * 设置  排序
    * @param sort
    */
    public CompanyQuery sort(Integer sort){
	    setSort(sort);
		return this;
    }
	
	 /**
    * 设置 开始 排序
    * @param sortStart
    */
    public CompanyQuery sortStart(Integer sortStart){
		this.sortStart = sortStart;
		return this;
    }

    /**
    * 设置 结束 排序
    * @param sortEnd
    */
    public CompanyQuery sortEnd(Integer sortEnd){
		this.sortEnd = sortEnd;
		return this;
    }

    /**
    * 设置 增加 排序
    * @param sortIncrement
    */
    public CompanyQuery sortIncrement(Integer sortIncrement){
		this.sortIncrement = sortIncrement;
		return this;
    }

    /**
    * 设置 排序
    * @param sortList
    */
    public CompanyQuery sortList(List<Integer> sortList){
        this.sortList = sortList;
		return this;
        }

        /**
        * 设置 排序
        * @param sortNotList
        */
        public CompanyQuery sortNotList(List<Integer> sortNotList){
        this.sortNotList = sortNotList;
        return this;
        }



	/**
    * 设置 备注
    * @param remark
    */
    public CompanyQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public CompanyQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public CompanyQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public CompanyQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public CompanyQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public CompanyQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public CompanyQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public CompanyQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public CompanyQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public CompanyQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public CompanyQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public CompanyQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public CompanyQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public CompanyQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<CompanyQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<CompanyQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<CompanyQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<CompanyQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}